#1 mapping
for i in TcF TcM;
do
{
bwa mem -t 20 ../genome/Trichonephila_clavata ../clean/${i}_R1_clean.fastq.gz ../clean/${i}_R2_clean.fastq.gz > ../sam/${i}.sam 
samtools view -bHS -t ../genome/Trichonephila_clavata_chr.fa.fai -@ 20 -o ../bam/${i}.bam ../sam/${i}.sam
}
done

#2 bam sort
for i in TcF TcM;
do
{
	samtools sort -@ 20 -o ../bam/${i}.sort.bam ../bam/${i}.bam

}
done

#3 remove PCR duplicates
for i in TcF TcM;
do
{
	samtools rmdup ../bam/${i}.sort.bam ../bam/${i}_nopcr.bam

}
done

#4 convert bam format to cram formatbam
for i in TcF TcM;
do
{
	samtools view -C -T ../genome/Trichonephila_clavata ../bam/${i}_nopcr.bam ../bam/${i}.cram

}
done

#5 snp calculation
psass pileup --reference genome.fa --output-file pileup.tsv females.cram males.cram
psass analyze --window-size 10000 --output-resolution 1000 --snp-file psass_snps.tsv pileup.tsv psass_window.tsv